EGD_CLOSE(3)

NAME
egd_close - close a device

SYNOPSIS

#include <eegdev.h>

int egd_close(struct eegdev* dev);

DESCRIPTION

egd_close() frees all resources associated to the device referenced by dev and closes it. It stops also implicitely any running acquisition.

After a successful call to egd_close(), the reference dev cannot be used any longer.

RETURN VALUE

The function returns 0 in case of succes. Otherwise, -1 is returned and errno is set accordingly.

ERRORS

egd_close() will fail if:

EINVAL
    dev is NULL.